<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter::DevGetRunningServersCmd  Class Reference</h1><code>#include &lt;<a class="el" href="StarterClass_8h-source.html">StarterClass.h</a>&gt;</code>
<p>
<a href="classStarter_1_1DevGetRunningServersCmd-members.html">List of all members.</a><table border=0 cellpadding=0 cellspacing=0>
<tr><td colspan=2><br><h2>Public Methods</h2></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a0">DevGetRunningServersCmd</a> (const char *, Tango::CmdArgType, Tango::CmdArgType, const char *, const char *, Tango::DispLevel)</td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a1">DevGetRunningServersCmd</a> (const char *, Tango::CmdArgType, Tango::CmdArgType)</td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a2">~DevGetRunningServersCmd</a> ()</td></tr>
<tr><td nowrap align=right valign=top>virtual bool&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, const CORBA::Any &amp;)</td></tr>
<tr><td nowrap align=right valign=top>virtual CORBA::Any *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a4">execute</a> (Tango::DeviceImpl *, const CORBA::Any &amp;)</td></tr>
</table>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a name="a0" doxytag="Starter::DevGetRunningServersCmd::DevGetRunningServersCmd"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::DevGetRunningServersCmd::DevGetRunningServersCmd </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>name</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>Tango::CmdArgType&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>in</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>Tango::CmdArgType&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>out</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>in_desc</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>out_desc</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>Tango::DispLevel&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>level</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="a1" doxytag="Starter::DevGetRunningServersCmd::DevGetRunningServersCmd"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::DevGetRunningServersCmd::DevGetRunningServersCmd </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>name</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>Tango::CmdArgType&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>in</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>Tango::CmdArgType&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>out</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="a2" doxytag="Starter::DevGetRunningServersCmd::~DevGetRunningServersCmd"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::DevGetRunningServersCmd::~DevGetRunningServersCmd </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [inline]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr><h2>Member Function Documentation</h2>
<a name="a4" doxytag="Starter::DevGetRunningServersCmd::execute"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> CORBA::Any * Starter::DevGetRunningServersCmd::execute </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceImpl *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>device</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const CORBA::Any &amp;&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>in_any</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"><code> [virtual]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="a3" doxytag="Starter::DevGetRunningServersCmd::is_allowed"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> bool Starter::DevGetRunningServersCmd::is_allowed </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceImpl *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>device</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const CORBA::Any &amp;&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>in_any</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"><code> [virtual]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="StarterClass_8h-source.html">StarterClass.h</a><li><a class="el" href="StarterClass_8cpp.html">StarterClass.cpp</a></ul>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
